<template>
	<view>
<!-- 		<image class="width100" mode="widthFix" src="../static/upay3.jpg"></image>
		<image class="width94 mart20" mode="widthFix" src="../static/upay4.jpg" @click="jumprecent(1)"></image>
		<image class="width94 mart10" mode="widthFix" src="../static/upay2.jpg" @click="jumprecent(2)"></image>
		<image class="width94 mart10" mode="widthFix" src="../static/upay1.jpg" @click="jumprecent(3)"></image> -->
		<!-- <wybPopup ref="popup" type="center" height="850" width="600" bgColor="" radius="6"
			:showCloseIcon="true">
			<image class="popImg" :src="imageUrl+imgadres1"></image>
		</wybPopup> -->
		<Postion></Postion>
	</view>
</template>

<script>
	import {
		getCmsContent
	} from '../../Utils/Api.js';
	import Postion from '@/components/postion/postion.vue';
	import wybPopup from '../../components/wyb-popup/wyb-popup.vue';
	let app = getApp();
	export default {
		components: {
			wybPopup,
			Postion
		},
		data() {
			return {
				imageUrl: app.globalData.imgUrl,
				imgadres1: '',
			}
		},
		onLoad() {
			this.getCmsAactibity();
		},
		methods: {
			//跳转充值
			jumprecent(item) {
				uni.navigateTo({
					url: '../recharge-centre/recharge-centre?id=' + item
				})
			},
			//查询弹窗
			getCmsAactibity() {
				let code;
				// #ifdef H5
				code = '2'
				// #endif
				// #ifdef MP
				code = '1'
				// #endif
				let params = {
					companyId: app.globalData.companyId,
					platform: code,
					categoryCode: 'CMS_RECHARGE_POPOVER'
				}
				getCmsContent(params).then(res => {
					if (res.return_code == '000000' && res.return_data.childCategory.length != 0) {
						//弹窗首页广告
						this.imgadres1 = res.return_data.childCategory[0].imgData;
						this.showPopup();
					}
				});
			},
			//显示弹出
			showPopup() {
				this.$refs.popup.show();
			}
		}
	}
</script>

<style lang="scss">
	.popImg {
		width: 100%;
		height: 430px;
	}
</style>
